xine-lib: xine-lib-1.2.13/src/video_dec/libmpeg2/xine_mpeg2_decoder.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Typedefs | Functions | Variables
xine_mpeg2_decoder.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <xine/xine_internal.h>`
`#include <xine/video_out.h>`
`#include "mpeg2.h"`
`#include "mpeg2_internal.h"`
`#include <xine/buffer.h>`

## Data Structures
struct | mpeg2dec_decoder_s

## Macros
#define | LOG_MODULE "mpeg2_decoder"
#define | LOG_VERBOSE

## Typedefs
typedef struct mpeg2dec_decoder_s | mpeg2dec_decoder_t

## Functions
static void | mpeg2dec_decode_data (video_decoder_t *this_gen, buf_element_t *buf)
static void | mpeg2dec_flush (video_decoder_t *this_gen)
static void | mpeg2dec_reset (video_decoder_t *this_gen)
static void | mpeg2dec_discontinuity (video_decoder_t *this_gen)
static void | mpeg2dec_dispose (video_decoder_t *this_gen)
static video_decoder_t * | open_plugin (video_decoder_class_t *class_gen, xine_stream_t *stream)
static void * | init_plugin (xine_t *xine, const void *data)

## Variables
static const uint32_t | supported_types [] = { BUF_VIDEO_MPEG, 0 }
static const decoder_info_t | dec_info_mpeg2
const plugin_info_t xine_plugin_info[] | EXPORTED

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "mpeg2_decoder"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Typedef Documentation

## ◆ mpeg2dec_decoder_t

typedef struct mpeg2dec_decoder_s mpeg2dec_decoder_t

## Function Documentation

## ◆ init_plugin()

static void * init_plugin | ( | xine_t * | xine,
|  | const void * | data )
| static

References video_decoder_s::dispose, N_, NULL, open_plugin(), and video_decoder_class_s::open_plugin.

## ◆ mpeg2dec_decode_data()

static void mpeg2dec_decode_data | ( | video_decoder_t * | this_gen,
|  | buf_element_t * | buf )
| static

References BUF_FLAG_PREVIEW, BUF_FLAG_SPECIAL, BUF_SPECIAL_ASPECT, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::decoder_info, lprintf, mpeg2_decode_data(), mpeg2_find_sequence_header(), buf_element_s::pts, buf_element_s::size, and xine_container_of.

Referenced by open_plugin().

## ◆ mpeg2dec_discontinuity()

static void mpeg2dec_discontinuity | ( | video_decoder_t * | this_gen | ) |
| static

References mpeg2_discontinuity(), and xine_container_of.

Referenced by open_plugin().

## ◆ mpeg2dec_dispose()

static void mpeg2dec_dispose | ( | video_decoder_t * | this_gen | ) |
| static

References lprintf, mpeg2_close(), and xine_container_of.

Referenced by open_plugin().

## ◆ mpeg2dec_flush()

static void mpeg2dec_flush | ( | video_decoder_t * | this_gen | ) |
| static

References lprintf, mpeg2_flush(), and xine_container_of.

Referenced by open_plugin().

## ◆ mpeg2dec_reset()

static void mpeg2dec_reset | ( | video_decoder_t * | this_gen | ) |
| static

References mpeg2_reset(), and xine_container_of.

Referenced by open_plugin().

## ◆ open_plugin()

static video_decoder_t * open_plugin | ( | video_decoder_class_t * | class_gen,
|  | xine_stream_t * | stream )
| static

References video_decoder_class_s::dispose, mpeg2_init(), mpeg2dec_decode_data(), mpeg2dec_discontinuity(), mpeg2dec_dispose(), mpeg2dec_flush(), mpeg2dec_reset(), NULL, xine_video_port_s::open, and xine_stream_s::video_out.

Referenced by init_plugin().

## Variable Documentation

## ◆ dec_info_mpeg2

const decoder_info_t dec_info_mpeg2
| static

Initial value:
= {
.supported_types = supported_types,
.priority = 7,
}
supported_types
static const uint32_t supported_types[]
Definition xine_mpeg2_decoder.c:160

## ◆ EXPORTED

const plugin_info_t xine_plugin_info [] EXPORTED

Initial value:
= {
{ PLUGIN_VIDEO_DECODER, 19, "mpeg2", XINE_VERSION_CODE, &dec_info_mpeg2, init_plugin },
{ PLUGIN_NONE, 0, NULL, 0, NULL, NULL }
}
XINE_VERSION_CODE
#define XINE_VERSION_CODE
Definition xine_internal.h:57
init_plugin
static void * init_plugin(xine_t *xine, const void *data)
Definition xine_mpeg2_decoder.c:142
dec_info_mpeg2
static const decoder_info_t dec_info_mpeg2
Definition xine_mpeg2_decoder.c:162
NULL
NULL
Definition xine_plugin.c:78
PLUGIN_NONE
#define PLUGIN_NONE
Definition xine_plugin.h:29
PLUGIN_VIDEO_DECODER
#define PLUGIN_VIDEO_DECODER
Definition xine_plugin.h:33

## ◆ supported_types

const uint32_t supported_types[] = { BUF_VIDEO_MPEG, 0 }
| static